$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.471-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.471-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2DADC61DAC0AF21C5F0984267B3BC7E5BAD14BF7B93B0B2623882F875155B2A8'
  checksumType = 'sha256'
  checksum64 = '2DADC61DAC0AF21C5F0984267B3BC7E5BAD14BF7B93B0B2623882F875155B2A8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.471-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
